import { Repository } from "typeorm";
import { Document } from "../../common/document/document.entity";
import { CreateDocumentDto, UpdateDocumentDto } from "./document.dto";
import { Vendor } from "src/common/vendor/vendor.entity";
export declare class AdminDocumentService {
    private readonly documentRepository;
    private readonly vendorRepository;
    constructor(documentRepository: Repository<Document>, vendorRepository: Repository<Vendor>);
    create(CreateDocumentDto: CreateDocumentDto[], catDtosWithVendorId: any): Promise<any>;
    findAll(): Promise<Document[]>;
    findByVendorId(vendorId: any): Promise<Document[]>;
    findOne(id: number): Promise<Document>;
    update(id: number, UpdateDocumentDto: UpdateDocumentDto): Promise<any>;
    updateMultiple(updateDocumentDtos: UpdateDocumentDto[], catDtosWithVendorId: any): Promise<any[]>;
    remove(id: number): Promise<void>;
}
